package org.jeecg.modules.demo.pagecontentcapture.service;

import org.jeecg.modules.demo.pagecontentcapture.entity.PageContentCapture;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 页面内容抓取
 * @Author: jeecg-boot
 * @Date:   2023-04-17
 * @Version: V1.0
 */
public interface IPageContentCaptureService extends IService<PageContentCapture> {

    List<PageContentCapture> listCount();

    PageContentCapture listCountByMainUrl(String mainUrl);

    List<PageContentCapture> listPage(Integer i, Integer pageSize,String mainSiteUrl);
}
